summaryrefslogtreecommitdiff
path: root/test-art-target-test.sh
diff options
context:
space:
mode:
authorVishal Bhoj <vishal.bhoj@linaro.org>2015-11-13 17:45:46 +0530
committerVishal Bhoj <vishal.bhoj@linaro.org>2015-11-13 17:45:48 +0530
commita5b10b29e258eae6de7782077eb147d1c2b3d1d2 (patch)
tree92e3477a2fdb7cfbadf69e6565ef2a11e7f5cc42 /test-art-target-test.sh
parent7019804342e9ae2b0d38a26e79368b5b4dd32045 (diff)
downloadart-build-tests.sh-a5b10b29e258eae6de7782077eb147d1c2b3d1d2.tar.gz
Break target tests into smaller tests
To allign with chromium testing procedure Signed-off-by: Vishal Bhoj <vishal.bhoj@linaro.org>
Diffstat (limited to 'test-art-target-test.sh')
-rwxr-xr-xtest-art-target-test.sh71
1 files changed, 62 insertions, 9 deletions
diff --git a/test-art-target-test.sh b/test-art-target-test.sh
index b95e4d6..73a10fc 100755
--- a/test-art-target-test.sh
+++ b/test-art-target-test.sh
@@ -36,13 +36,39 @@ export ART_TEST_OPTIMIZING=true
export ART_TEST_RUN_TEST_2ND_ARCH=false
export ART_TEST_RUN_TEST_DEBUG=false
export ART_TEST_RUN_TEST_NDEBUG=true
-export ART_TEST_RUN_TEST_DEBUGGABLE=true
export ART_USE_OPTIMIZING_COMPILER=true
failed=0
-make USE_NINJA=false -j2 $MAKE_TARGETS > $WORKSPACE/build-logs-64.txt 2>&1
+
+make USE_NINJA=false -j2 test-art-target-gtest64 > $WORKSPACE/build-logs-64.txt 2>&1
+
+if [ $? -ne 0 ]; then
+ echo "Error: *** Error test-art-target-gtest64 failed"
+ cat $WORKSPACE/build-logs-64.txt
+ failed=1
+fi
+
+make USE_NINJA=false -j2 test-art-target-run-test-default >> $WORKSPACE/build-logs-64.txt 2>&1
+
+if [ $? -ne 0 ]; then
+ echo "Error: *** Error test-art-target-run-test-default failed"
+ cat $WORKSPACE/build-logs-64.txt
+ failed=1
+fi
+
+make USE_NINJA=false -j2 test-art-target-run-test-interpreter >> $WORKSPACE/build-logs-64.txt 2>&1
+
+if [ $? -ne 0 ]; then
+ echo "Error: *** Error test-art-target-run-test-interpreter failed"
+ cat $WORKSPACE/build-logs-64.txt
+ failed=1
+fi
+
+export ART_TEST_RUN_TEST_DEBUGGABLE=true
+
+make USE_NINJA=false -j2 test-art-target-run-test-optimizing >> $WORKSPACE/build-logs-64.txt 2>&1
if [ $? -ne 0 ]; then
- echo "Error: *** Error make failed"
+ echo "Error: *** Error test-art-target-run-test-optimizing failed"
cat $WORKSPACE/build-logs-64.txt
failed=1
fi
@@ -53,8 +79,8 @@ echo "YVALUE=`grep "3mSKIPPING" $WORKSPACE/build-logs-64.txt | grep "gtest" | wc
echo "YVALUE=`grep "2mPASSED" $WORKSPACE/build-logs-64.txt | grep "run-test" | wc -l`" > ${WORKSPACE}/run-test-pass_count-64.txt
echo "YVALUE=`grep "1mFAILED" $WORKSPACE/build-logs-64.txt | grep "run-test" | wc -l`" > ${WORKSPACE}/run-test-fail_count-64.txt
echo "YVALUE=`grep "3mSKIPPING" $WORKSPACE/build-logs-64.txt | grep "run-test" | wc -l`" > ${WORKSPACE}/run-test-skip_count-64.txt
-grep -rni "1mFAILED" $WORKSPACE/build-logs-64.txt | sed "s/.*://g" | sed "s/ .*//g" > ${WORKSPACE}/failing-tests-64.txt
-grep -rni "3mSKIPPING" $WORKSPACE/build-logs-64.txt | sed "s/.*://g" | sed "s/ .*//g" > ${WORKSPACE}/skipped-tests-64.txt
+#grep -rni "1mFAILED" $WORKSPACE/build-logs-64.txt | sed "s/.*://g" | sed "s/ .*//g" > ${WORKSPACE}/failing-tests-64.txt
+#grep -rni "3mSKIPPING" $WORKSPACE/build-logs-64.txt | sed "s/.*://g" | sed "s/ .*//g" > ${WORKSPACE}/skipped-tests-64.txt
rm -rf out/target/product/generic*
@@ -66,6 +92,7 @@ export TARGET_PRODUCT=aosp_flounder32
export ANDROID_COMPILE_WITH_JACK=false
time ./art/tools/buildbot-build.sh -j12 --target
./art/tools/setup-buildbot-device.sh
+export ART_TEST_RUN_TEST_DEBUGGABLE=false
export ART_BUILD_HOST_DEBUG=false
export ART_TEST_ANDROID_ROOT="/data/local/tmp/system"
export ART_TEST_FULL=false
@@ -78,10 +105,36 @@ export ART_TEST_RUN_TEST_NDEBUG=true
export ART_TEST_RUN_TEST_DEBUGGABLE=true
export ART_USE_OPTIMIZING_COMPILER=true
-make USE_NINJA=false -j2 $MAKE_TARGETS > $WORKSPACE/build-logs-32.txt 2>&1
+make USE_NINJA=false -j2 test-art-target-gtest32 > $WORKSPACE/build-logs-32.txt 2>&1
+
+if [ $? -ne 0 ]; then
+ echo "Error: *** Error test-art-target-gtest64 failed"
+ cat $WORKSPACE/build-logs-32.txt
+ failed=1
+fi
+
+make USE_NINJA=false -j2 test-art-target-run-test-default >> $WORKSPACE/build-logs-32.txt 2>&1
+
+if [ $? -ne 0 ]; then
+ echo "Error: *** Error test-art-target-run-test-default failed"
+ cat $WORKSPACE/build-logs-32.txt
+ failed=1
+fi
+
+make USE_NINJA=false -j2 test-art-target-run-test-interpreter >> $WORKSPACE/build-logs-32.txt 2>&1
+
+if [ $? -ne 0 ]; then
+ echo "Error: *** Error test-art-target-run-test-interpreter failed"
+ cat $WORKSPACE/build-logs-32.txt
+ failed=1
+fi
+
+export ART_TEST_RUN_TEST_DEBUGGABLE=true
+
+make USE_NINJA=false -j2 test-art-target-run-test-optimizing >> $WORKSPACE/build-logs-32.txt 2>&1
if [ $? -ne 0 ]; then
- echo "Error: *** Error make failed"
+ echo "Error: *** Error test-art-target-run-test-optimizing failed"
cat $WORKSPACE/build-logs-32.txt
failed=1
fi
@@ -92,8 +145,8 @@ echo "YVALUE=`grep "3mSKIPPING" $WORKSPACE/build-logs-32.txt | grep "gtest" | wc
echo "YVALUE=`grep "2mPASSED" $WORKSPACE/build-logs-32.txt | grep "run-test" | wc -l`" > ${WORKSPACE}/run-test-pass_count-32.txt
echo "YVALUE=`grep "1mFAILED" $WORKSPACE/build-logs-32.txt | grep "run-test" | wc -l`" > ${WORKSPACE}/run-test-fail_count-32.txt
echo "YVALUE=`grep "3mSKIPPING" $WORKSPACE/build-logs-32.txt | grep "run-test" | wc -l`" > ${WORKSPACE}/run-test-skip_count-32.txt
-grep -rni "1mFAILED" $WORKSPACE/build-logs-32.txt | sed "s/.*://g" | sed "s/ .*//g" > ${WORKSPACE}/failing-tests-32.txt
-grep -rni "3mSKIPPING" $WORKSPACE/build-logs-32.txt | sed "s/.*://g" | sed "s/ .*//g" > ${WORKSPACE}/skipped-tests-32.txt
+#grep -rni "1mFAILED" $WORKSPACE/build-logs-32.txt | sed "s/.*://g" | sed "s/ .*//g" > ${WORKSPACE}/failing-tests-32.txt
+#grep -rni "3mSKIPPING" $WORKSPACE/build-logs-32.txt | sed "s/.*://g" | sed "s/ .*//g" > ${WORKSPACE}/skipped-tests-32.txt
MAKE_END=$(date +%s.%N)